
News Xpress Version 1.0 Beta #4
Written by W.L. Ken, Ng <kenng@HongKong.Super.NET>
------------------------------------------------------------------------------

----------
 Overview
----------

  News Xpress(NX) is a Windows Sockets compliant USENET newsreader for
  Microsoft Windows that uses the NNTP to access newsgroups and articles on
  a news server.

  Some of the key features of NX are:
  - An integrated MDI application
  - Support XOVER to access overview database from news server
  - Support AUTHINFO for authorization
  - Support XPAT for searching articles remotely
  - Support threads
  - Support signature
  - Built-in uuencode and uudecode
  - Support kill and auto-selection, accept regular expressions for specifying
    patterns
  - Local folders for storing articles, and outbox for queueing posts and mails
  - MIME-conformant, support Base64 and Quoted-Printable

--------------
 Installation
--------------

1.  The distribution is a compressed ZIP file. Create a directory for NX,
    cd into it, and unzip the ZIP file in that directory. For example:
	C:\> MKDIR NX
	C:\> CD NX
	C:\NX> PKUNZIP C:\DOWNLOAD\NX10B?.ZIP

    If you don't have CTL3DV2.DLL in the Windows SYSTEM directory,
	C:\NX> MOVE CTL3DV2.DLL C:\WINDOWS\SYSTEM
    otherwise remove it from your NX directory,
	C:\NX> DEL CTL3DV2.DLL

2.  Copy or move the file MIME.EXT into your NX working directory

3.  Create an icon for NX in the Program Manager.

4.  If you want NX to use the INI file in the directory other than
    Windows, you can either specify it in the NX environment variable
    or command line parameter.

    NX environment variable example:

	C:\NX> SET NX=C:\NX\MYNX.INI

    Command line parameter example:

	C:\NX\NX.EXE C:\NX\MYNX.INI


---------
 History
---------

  Several bugfixes and changes from V1.0 Beta #0

  Fixed:
  - Catchup problem
  - Save windows position and size correctly
  - UUdecode multipart files
  - Crash if SPACEBAR is pressed while there is no article in the
    list window

  Changes:
  - Perform authorization check right after connection is established
  - The "File|Quit without saving" command forces NX to cancel
    socket call and terminate NX
  - Add filter for selecting newsgroups
  - Single click on a folder icon of thread will open/close thread
  - Added an option for prompting new newsgroups
  - Added an option for opening all threads automatically
  - Configurable Subject header template for attachment
    %s - original subject string
    %f - filename
    %p - current part number
    %t - total number of parts
  - Extended tilde escape sequence for more files attachment control
    ~N		  new article
    ~H		  add or replace header
    ~A		  attach file


  Several bugfixes and changes from V1.0 Beta #1

  Fixed:
  - Should work with Novell LAN Workplace
  - Append signature into outgoing mails
  - NEWSRC problem
  - Groups filter problem
  - "No overview database" problem should be fixed
  - Authentication password encryption problem

  Changes:
  - Configurable port numbers for both NNTP and SMTP
  - Display the number of articles of each thread
  - Support different printer font
  - More keys binding
  - Articles navigation (next and previous)
  - Added stop command. The stop command serves for multiple purpose,
    e.g. terminate headers information transfer, cancel print job, and
    stop downloading multiple articles.
  - Added update command to update the selected groups information
    (unread count)
  - Can be specified to use different pathname for NEWSRC file in the setup
    dialog box
  - NX environment variable tells NX where to look for the INI file,
    e.g. SET NX=C:\NX\MYNX.INI

  Several bugfixes and changes from V1.0 Beta #2

  Fixed:
  - Very long groupname problem
  - Handles long ( > 512 bytes) incoming lines improperly
  - Printer devices problem
  - Catchup does not work after invoking "More" command
  - Hang while displaying Base64 encoded articles
  - Hang while reading groupname in NEWSRC if the groupname contains
    non-ASCII characters

  Major changes:
  - No longer sort the newgroups automatically
  - File|Save command can be used to update NEWSRC by activating the
    newsgroups window
  - Articles|More -> Group|Check New Articles
  - Reload old articles
  - Word wrap
  - Carbon copy and blind carbon copy for mail
  - Automatic update subscribed newsgroup for a given time interval
  - Kill and auto-select articles
  - Implementation of local folder (mailbox format), and outbox
  - Indent threads
  - UUencode/UUdecode is done "on-line" to increase the performance
  - Accept command line parameter for the pathname of the INI file
  - Tilde escape sequences obsoleted
  - Mail/Post log obsoleted

  Several bugfixes and changes from V1.0 Beta #3

  Fixed:
  - Kill and autoselect problems - GPF while comparing bogus e-mail
    addresses, incorrectly autoselects articles which are suppose to
    be killed
  - Doesn't accept e-mail addresses which contain hypen in the setup
    dialog box
  - List control does not display correctly under Windows NT
  - GPF while attempting to transfer articles into an empty folder
  - Doesn't remember window positions and sizes if the frame window is
    maximized
  - Release wrong device context resources after choosing list font
  - Doesn't recognize URLs which contain 'URL:' prefix

  Major changes:
  - Additional sort option - sort by lines
  - Copy-self folder for archiving your own messages
  - CC-by-mail for following-up posts
  - Late winsock initialization
  - Property sheets control (tabbed dialog box) for the preference dialog
    box
  - Improvement of the search functions

    1. modeless dialog box
    2. accept regexp so that user can specify more than one search key
       at a time, e.g. 'faq|help'
    3. automatically tag articles

  - Keystrokes for article window and threads window

      SPACEBAR		  page down or next unread
      n 		  next unread
      < or ,		  previous article
      > or .		  next article
      r 		  reply
      m 		  forward
      f 		  followup
      d 		  decode
      p 		  print
      h 		  toggle full headers mode
      o 		  switch article font
      w 		  toggle wrap mode

  - Pack/Unpack MIME articles. Support two additional coding schemes -
    Base64 and Quoted-Printable for MIME. You are encouraged to use
    Base64 instead of UUencode for MIME binary attachments. NX decodes
    attachments automatically and allow you to double click the filename
    imbedded in article to launch associated viewer
  - Use extended NNTP command to provide remote search articles feature.
    For example, the steps to grab FAQs in several groups are:

      1. activate newsgroup window and tag the desired groups
      2. select the Article|Find article command
      3. select the "Subject" for header field,
      4. enter "[fF][aA][qQ]" in the pattern field
      5. specify the folder
      6. press the OK button

    all matched articles will be stored in the specified folder and
    you can read them later on
  - Automatic NewJIS to SJIS and SJIS to NewJIS conversion for reading and
    posting articles in fj groups (for Japanese Windows only). To enable
    this feature, you have to add the following line under [Config] section:

      [Config]
      ...
      NewJIS2SJISConv=YES
      ...


  Known problems:
  - Edit control limitation ( < 64K bytes )

  Note: Outbox format is incompatible from the previous version and please
	make sure to clean up all those pending messages before you install
	the new version.

---------------
 Acknowledment
---------------

I wish to to express my appreciation for all the people who participated
in the extensive NX beta test program, who have contributed a great deal
to the user-friendliness, and robustness of NX.

Special thanks to
  Michael Denny		my project supervisor
  Brian Smither		the author of NX FAQ

-----------
 Copyright
-----------
  News Xpress is the property of City University of Hong Kong. Permission to
  use, copy and distribute this software and its documentation for any purpose
  and without fee is hereby granted, provided that it is not modified.

  THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
  WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


----------------
 Reporting Bugs
----------------

  Mail your bug reports to Ken Ng <kenng@hk.super.net>. Please include the
  steps to reproduce the bugs, and any other information that might help
  me locate and correct the cause.


---------------------------------------
W.L. Ken, Ng <kenng@HongKong.Super.NET>
---------------------------------------
